unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, ComCtrls, CLabels;

type
  TForm1 = class(TForm)
    PageControl1: TPageControl;
    Panel1: TPanel;
    TabSheet1: TTabSheet;
    Panel2: TPanel;
    Memo1: TMemo;
    OHHotLabel1: TOHHotLabel;
    OHHotLabel2: TOHHotLabel;
    OHHotLabel3: TOHHotLabel;
    Image1: TImage;
    Label1: TLabel;
    OHUrlLabel1: TOHUrlLabel;
    OHHotLabel4: TOHHotLabel;
    TabSheet2: TTabSheet;
    OHHotLabel5: TOHHotLabel;
    GroupBox1: TGroupBox;
    Label2: TLabel;
    Image2: TImage;
    TabSheet3: TTabSheet;
    TabSheet4: TTabSheet;
    TabSheet5: TTabSheet;
    Image3: TImage;
    GroupBox2: TGroupBox;
    Label3: TLabel;
    OHUrlLabel2: TOHUrlLabel;
    GroupBox3: TGroupBox;
    Label4: TLabel;
    Image4: TImage;
    GroupBox4: TGroupBox;
    Label5: TLabel;
    OHSymbLabel1: TOHSymbLabel;
    TabSheet6: TTabSheet;
    OHListLabel1: TOHListLabel;
    Image5: TImage;
    GroupBox5: TGroupBox;
    Label6: TLabel;
    OHHotLabel6: TOHHotLabel;
    Image6: TImage;
    GroupBox6: TGroupBox;
    Label7: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    OHReadoutLabel1: TOHReadoutLabel;
    Label8: TLabel;
    Label9: TLabel;
    procedure OHHotLabel1Click(Sender: TObject);
    procedure OHHotLabel2Click(Sender: TObject);
    procedure OHHotLabel3Click(Sender: TObject);
    procedure OHHotLabel4Click(Sender: TObject);
    procedure OHHotLabel5Click(Sender: TObject);
    procedure OHHotLabel6Click(Sender: TObject);
    procedure EditsChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

{------------------------------------------------------------------------------}

function Path_Read (const p : string) : string;
// read a file into a string

var f : TFileStream;
    n : Integer;
begin

   try
      f := TFileStream.Create(p, fmOpenRead);
      try
         n := f.Size;
         Result := StringOfChar(#0, n);
         f.Read(Pointer(Result)^, n);
      finally
         f.Free;
      end;
   except
      on e : EStreamError do MessageDlg(e.Message, mtError, [mbOK], 0);
   end;

end;

{------------------------------------------------------------------------------}

procedure TForm1.FormCreate(Sender: TObject);
begin
   PageControl1.ActivePage := TabSheet2;
end;

procedure TForm1.OHHotLabel1Click(Sender: TObject);
begin
   Memo1.Lines.Text := Path_Read(ExtractFilePath(Application.ExeName) + 'HotLabel.txt')
end;

procedure TForm1.OHHotLabel2Click(Sender: TObject);
begin
   Memo1.Lines.Text := Path_Read(ExtractFilePath(Application.ExeName) + 'URLLabel.txt')
end;

procedure TForm1.OHHotLabel3Click(Sender: TObject);
begin
   Memo1.Lines.Text := Path_Read(ExtractFilePath(Application.ExeName) + 'SymbLabel.txt')
end;

procedure TForm1.OHHotLabel4Click(Sender: TObject);
begin
   Memo1.Lines.Text := Path_Read(ExtractFilePath(Application.ExeName) + 'ReadoutLabel.txt')
end;

procedure TForm1.OHHotLabel6Click(Sender: TObject);
begin
   Memo1.Lines.Text := Path_Read(ExtractFilePath(Application.ExeName) + 'ListLabel.txt')
end;

procedure TForm1.OHHotLabel5Click(Sender: TObject);
begin
   MessageDlg('Hot Label clicked', mtCustom, [mbOK], 0)
end;

procedure TForm1.EditsChange(Sender: TObject);
begin
   OHReadoutLabel1.ValueText := FloatToStr(
      StrToFloat(Edit1.Text) * StrToFloat(Edit2.Text))
end;

end.
